summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-21 01:45:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-21 01:45:31 +0000
commitf8f0bbf01f0e9ccd284d842b9cdea2d44592a1b8 (patch)
treee02fd03d194b5c01d2d27492c942f79ae84627b0 /dev-python
parent7fa739d0a43d0b0097e6f4f7710dbea0c572ddaa (diff)
downloadbaldeagleos-repo-f8f0bbf01f0e9ccd284d842b9cdea2d44592a1b8.tar.gz
baldeagleos-repo-f8f0bbf01f0e9ccd284d842b9cdea2d44592a1b8.tar.xz
baldeagleos-repo-f8f0bbf01f0e9ccd284d842b9cdea2d44592a1b8.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.6.2.ebuild80
-rw-r--r--dev-python/fonttools/fonttools-4.31.2.ebuild2
-rw-r--r--dev-python/inflect/inflect-5.5.2.ebuild4
-rw-r--r--dev-python/lazr-config/lazr-config-2.2.3-r2.ebuild (renamed from dev-python/lazr-config/lazr-config-2.2.3-r1.ebuild)1
-rw-r--r--dev-python/lazr-config/lazr-config-2.2.3.ebuild34
-rw-r--r--dev-python/lazr-delegates/lazr-delegates-2.0.4-r2.ebuild (renamed from dev-python/lazr-delegates/lazr-delegates-2.0.4-r1.ebuild)1
-rw-r--r--dev-python/lazr-delegates/lazr-delegates-2.0.4.ebuild34
-rw-r--r--dev-python/nspektr/nspektr-0.3.0.ebuild2
-rw-r--r--dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild2
-rw-r--r--dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2-r2.ebuild (renamed from dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2-r1.ebuild)6
-rw-r--r--dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2.ebuild34
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.17.21-r2.ebuild (renamed from dev-python/ruamel-yaml/ruamel-yaml-0.17.21-r1.ebuild)3
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.17.21.ebuild50
-rw-r--r--dev-python/setuptools/setuptools-60.10.0.ebuild2
-rw-r--r--dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.3.0-r1.ebuild41
-rw-r--r--dev-python/sphinxcontrib-blockdiag/Manifest1
-rw-r--r--dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-2.0.0-r1.ebuild53
-rw-r--r--dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2-r1.ebuild41
-rw-r--r--dev-python/sphinxcontrib-doxylink/Manifest1
-rw-r--r--dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.1-r1.ebuild52
-rw-r--r--dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.0-r1.ebuild44
-rw-r--r--dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.8.0-r1.ebuild49
-rw-r--r--dev-python/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1-r2.ebuild41
-rw-r--r--dev-python/sphinxcontrib-log_cabinet/sphinxcontrib-log_cabinet-1.0.1-r1.ebuild26
-rw-r--r--dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4-r1.ebuild39
-rw-r--r--dev-python/sphinxcontrib-openapi/sphinxcontrib-openapi-0.7.0-r1.ebuild49
-rw-r--r--dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17-r1.ebuild42
-rw-r--r--dev-python/sphinxcontrib-qthelp/sphinxcontrib-qthelp-1.0.3-r1.ebuild41
-rw-r--r--dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.5-r1.ebuild41
-rw-r--r--dev-python/sphinxcontrib-spelling/Manifest1
-rw-r--r--dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.1.ebuild48
-rw-r--r--dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.2-r1.ebuild49
-rw-r--r--dev-python/sphinxcontrib-websupport/sphinxcontrib-websupport-1.2.4-r1.ebuild60
-rw-r--r--dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild2
-rw-r--r--dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild31
-rw-r--r--dev-python/zope-event/zope-event-4.5.0-r1.ebuild34
-rw-r--r--dev-python/zope-event/zope-event-4.5.0-r2.ebuild2
-rw-r--r--dev-python/zope-interface/zope-interface-5.4.0-r1.ebuild2
-rw-r--r--dev-python/zope-testing/zope-testing-4.10-r1.ebuild2
-rw-r--r--dev-python/zope-testing/zope-testing-4.10.ebuild32
41 files changed, 768 insertions, 312 deletions
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 9beae109edb1..5be09ce7e2a4 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1,3 +1,4 @@
DIST aesara-rel-2.4.0.tar.gz 8189236 BLAKE2B 05fd50ddd64ec063b3ea226706d232648e0fc314b754342db9537f1d55abd71a65afee3b3934b41e182fe12c224c8e10e8235ac58ba91c4c9f28d3ad8df1b7ac SHA512 b58e881145e051f97d5065fd46716209e280de46bd49ce6d1294880137aefc550741c6f96a47c8e2dbb54717d7c9f161a92f2cb5d3535687fbb6115641cc714c
DIST aesara-rel-2.5.3.tar.gz 8191431 BLAKE2B 698bc3b6f7e84288be3318796989d13d7de92f72c66abfa83b14c08f6310f974f7381d729e712c2bd5e76f398d74a3c5dc03d7515a22254261312e586e3fd461 SHA512 5c1ad9d6ad1fb58be1477713d863f2b1371544ea8293d8e9e1a690860a0483b83c9558827856a2546498bab26360f141a5ee97d4c7f3f2aad773e84f9766a59b
DIST aesara-rel-2.6.0.tar.gz 7846131 BLAKE2B 23e1f115eb2e8794a00d29fa2b9705ba6bf0d17c9bb290675f9406e4008b24b45dfd9b2732cb6fc3c6ce18154a3d75b6b0fc750a99f76588cab91387dbc4728d SHA512 8acff0f3fbb8969970b988f363cb3e2107fd3ee5450f238e426f0959d6bf42909c6eb2951b1803629148a57a9a27c47b4364756942a42692b44abf151cf736d2
+DIST aesara-rel-2.6.2.tar.gz 7846413 BLAKE2B bd25da68fc0bc138eedda1c7203ef1cf0e3f0cde84e9eb2be0aed9baeedf292f7270e0117cbcb72aeb2542727b24d4a5374e2c2f930945240b911916942b10fe SHA512 e1da313d5f2a8498565bb0cc1442b1c3eae0206caf09976903c54314b4002a68dae53d7289ad1fb06e5e8ed015613d989c4c5db85d57f6c072d2e2414019acd5
diff --git a/dev-python/aesara/aesara-2.6.2.ebuild b/dev-python/aesara/aesara-2.6.2.ebuild
new file mode 100644
index 000000000000..6b6cb11e6b93
--- /dev/null
+++ b/dev-python/aesara/aesara-2.6.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="
+ https://github.com/aesara-devs/aesara/
+ https://pypi.org/project/aesara/
+"
+SRC_URI="
+ https://github.com/aesara-devs/aesara/archive/rel-${PV}.tar.gz
+ -> ${MY_P}.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/cons[${PYTHON_USEDEP}]
+ dev-python/etuples[${PYTHON_USEDEP}]
+ dev-python/logical-unification[${PYTHON_USEDEP}]
+ dev-python/minikanren[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+
+ # rounding problem?
+ # https://github.com/aesara-devs/aesara/issues/477
+ tests/tensor/test_math_scipy.py::TestGammaUBroadcast::test_good
+ tests/tensor/test_math_scipy.py::TestGammaUInplaceBroadcast::test_good
+ )
+ local EPYTEST_IGNORE=(
+ # we do not package numba
+ tests/link/test_numba.py
+ tests/link/test_numba_performance.py
+ )
+
+ epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+python_compile() {
+ esetup.py build_py
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)/bin/__init__.py" || die
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/fonttools/fonttools-4.31.2.ebuild b/dev-python/fonttools/fonttools-4.31.2.ebuild
index b62bd31e9493..445812dc59d7 100644
--- a/dev-python/fonttools/fonttools-4.31.2.ebuild
+++ b/dev-python/fonttools/fonttools-4.31.2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> ${P}.tar
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv sparc x86 ~x64-macos"
RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
BDEPEND="${RDEPEND}
diff --git a/dev-python/inflect/inflect-5.5.2.ebuild b/dev-python/inflect/inflect-5.5.2.ebuild
index 97e2b2b8b44b..2d9b5b2a65cd 100644
--- a/dev-python/inflect/inflect-5.5.2.ebuild
+++ b/dev-python/inflect/inflect-5.5.2.ebuild
@@ -23,8 +23,4 @@ BDEPEND="
>=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
"
-distutils_enable_sphinx docs \
- '>=dev-python/jaraco-packaging-8.2' \
- '>=dev-python/rst-linker-1.9' \
- dev-python/alabaster
distutils_enable_tests pytest
diff --git a/dev-python/lazr-config/lazr-config-2.2.3-r1.ebuild b/dev-python/lazr-config/lazr-config-2.2.3-r2.ebuild
index d7985e764d9f..a50aef426997 100644
--- a/dev-python/lazr-config/lazr-config-2.2.3-r1.ebuild
+++ b/dev-python/lazr-config/lazr-config-2.2.3-r2.ebuild
@@ -22,6 +22,7 @@ KEYWORDS="~amd64 ~x86"
RDEPEND="
dev-python/lazr-delegates[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]
+ !dev-python/namespace-lazr
"
distutils_enable_tests pytest
diff --git a/dev-python/lazr-config/lazr-config-2.2.3.ebuild b/dev-python/lazr-config/lazr-config-2.2.3.ebuild
deleted file mode 100644
index fc3e5f7fb96c..000000000000
--- a/dev-python/lazr-config/lazr-config-2.2.3.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-MY_PN=${PN/-/.}
-
-DESCRIPTION="Create configuration schemas, and process and validate configurations"
-HOMEPAGE="https://code.launchpad.net/lazr.config"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/lazr-delegates[${PYTHON_USEDEP}]
- dev-python/namespace-lazr[${PYTHON_USEDEP}]
- dev-python/zope-interface[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_install_all() {
- distutils-r1_python_install_all
-
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/lazr-delegates/lazr-delegates-2.0.4-r1.ebuild b/dev-python/lazr-delegates/lazr-delegates-2.0.4-r2.ebuild
index ca0f8f4bd115..e320a75a5c95 100644
--- a/dev-python/lazr-delegates/lazr-delegates-2.0.4-r1.ebuild
+++ b/dev-python/lazr-delegates/lazr-delegates-2.0.4-r2.ebuild
@@ -21,6 +21,7 @@ KEYWORDS="~amd64 ~x86"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
+ !dev-python/namespace-lazr
"
distutils_enable_tests pytest
diff --git a/dev-python/lazr-delegates/lazr-delegates-2.0.4.ebuild b/dev-python/lazr-delegates/lazr-delegates-2.0.4.ebuild
deleted file mode 100644
index cf953090a15d..000000000000
--- a/dev-python/lazr-delegates/lazr-delegates-2.0.4.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-MY_PN=${PN/-/.}
-
-DESCRIPTION="Easily write objects that delegate behavior"
-HOMEPAGE="https://code.launchpad.net/lazr.delegates"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/namespace-lazr[${PYTHON_USEDEP}]
- dev-python/nose[${PYTHON_USEDEP}]
- dev-python/zope-interface[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_install_all() {
- distutils-r1_python_install_all
-
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/nspektr/nspektr-0.3.0.ebuild b/dev-python/nspektr/nspektr-0.3.0.ebuild
index e6f54d9b820c..62206be92be6 100644
--- a/dev-python/nspektr/nspektr-0.3.0.ebuild
+++ b/dev-python/nspektr/nspektr-0.3.0.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
>=dev-python/jaraco-context-4.1.1-r2[${PYTHON_USEDEP}]
diff --git a/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild b/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild
index 153fe4a06533..d54bfba15698 100644
--- a/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild
+++ b/dev-python/protobuf-python/protobuf-python-3.19.3-r1.ebuild
@@ -29,7 +29,7 @@ S="${WORKDIR}/protobuf-${PV}/python"
LICENSE="BSD"
SLOT="0/30"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
BDEPEND="
${PYTHON_DEPS}
diff --git a/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2-r1.ebuild b/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2-r2.ebuild
index 9e83223de03d..0fe28f712014 100644
--- a/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2-r1.ebuild
+++ b/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2-r2.ebuild
@@ -20,7 +20,11 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
+
+RDEPEND="
+ !dev-python/namespace-ruamel
+"
distutils_enable_tests pytest
diff --git a/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2.ebuild b/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2.ebuild
deleted file mode 100644
index 87fc3702b577..000000000000
--- a/dev-python/ruamel-std-pathlib/ruamel-std-pathlib-0.9.2.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-MY_P="${PN//-/.}-${PV}"
-DESCRIPTION="Ruamel enhancements to pathlib and pathlib2"
-HOMEPAGE="
- https://pypi.org/project/ruamel.std.pathlib/
- https://sourceforge.net/projects/ruamel-std-pathlib/
-"
-# PyPI tarballs do not include tests
-SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz -> ${P}.tar.xz"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
-
-RDEPEND="
- dev-python/namespace-ruamel[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_install() {
- distutils-r1_python_install
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.21-r1.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.21-r2.ebuild
index 274f8e8604f3..d765cfd4e235 100644
--- a/dev-python/ruamel-yaml/ruamel-yaml-0.17.21-r1.ebuild
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.17.21-r2.ebuild
@@ -20,10 +20,11 @@ S="${WORKDIR}"/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
RDEPEND="
dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
"
BDEPEND="
test? (
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.21.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.21.ebuild
deleted file mode 100644
index 16bd36dfdbda..000000000000
--- a/dev-python/ruamel-yaml/ruamel-yaml-0.17.21.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-MY_P="${P/-/.}"
-DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
-HOMEPAGE="
- https://pypi.org/project/ruamel.yaml/
- https://sourceforge.net/projects/ruamel-yaml/
-"
-# PyPI tarballs do not include tests
-SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
-S="${WORKDIR}"/${MY_P}
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
-
-RDEPEND="
- dev-python/namespace-ruamel[${PYTHON_USEDEP}]
- dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/ruamel-std-pathlib[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-# Old PyYAML tests from lib/ require special set-up and are invoked indirectly
-# via test_z_olddata, tell pytest itself to leave the subdir alone.
-python_test() {
- [[ ${EPYTHON} == pypy3 ]] && local EPYTEST_DESELECT=(
- _test/test_deprecation.py::test_collections_deprecation
- )
- local EPYTEST_IGNORE=(
- _test/lib/
- )
- epytest
-}
-
-python_install() {
- distutils-r1_python_install --single-version-externally-managed
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/setuptools/setuptools-60.10.0.ebuild b/dev-python/setuptools/setuptools-60.10.0.ebuild
index 1ab7d5bfecba..689289c5f40d 100644
--- a/dev-python/setuptools/setuptools-60.10.0.ebuild
+++ b/dev-python/setuptools/setuptools-60.10.0.ebuild
@@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.3.0-r1.ebuild b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.3.0-r1.ebuild
new file mode 100644
index 000000000000..1a750ec3b12a
--- /dev/null
+++ b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.3.0-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension for running sphinx-apidoc on each build"
+HOMEPAGE="
+ https://pypi.org/project/sphinxcontrib-apidoc/
+ https://github.com/sphinx-contrib/apidoc/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${BDEPEND}
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-blockdiag/Manifest b/dev-python/sphinxcontrib-blockdiag/Manifest
index 3db82002af8e..37574458ef74 100644
--- a/dev-python/sphinxcontrib-blockdiag/Manifest
+++ b/dev-python/sphinxcontrib-blockdiag/Manifest
@@ -1 +1,2 @@
+DIST sphinxcontrib-blockdiag-2.0.0.gh.tar.gz 11903 BLAKE2B 9301fe05ff936836e8e648a507b7e2e5fd8cada58252fd46b274a4bb3e6b51b00b7696ceee712d12bd590c40c5ae1235e0b532ef55ffc2e78b2986cdae64a0f2 SHA512 305ad9b27bbb44480c69139cc0ae9cd8e47c6ad95da5b14a964c703a17e62ab9b342ff567e8312e403549a794f6381fe4c4d444ccb7a8e41410d1a3754ffb3f1
DIST sphinxcontrib-blockdiag-2.0.0.tar.gz 11903 BLAKE2B 9301fe05ff936836e8e648a507b7e2e5fd8cada58252fd46b274a4bb3e6b51b00b7696ceee712d12bd590c40c5ae1235e0b532ef55ffc2e78b2986cdae64a0f2 SHA512 305ad9b27bbb44480c69139cc0ae9cd8e47c6ad95da5b14a964c703a17e62ab9b342ff567e8312e403549a794f6381fe4c4d444ccb7a8e41410d1a3754ffb3f1
diff --git a/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-2.0.0-r1.ebuild b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-2.0.0-r1.ebuild
new file mode 100644
index 000000000000..53a9f4825fed
--- /dev/null
+++ b/dev-python/sphinxcontrib-blockdiag/sphinxcontrib-blockdiag-2.0.0-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A sphinx extension for embedding block diagrams using blockdiag"
+HOMEPAGE="
+ https://github.com/blockdiag/sphinxcontrib-blockdiag/
+ https://pypi.org/project/sphinxcontrib-blockdiag/
+"
+SRC_URI="
+ https://github.com/blockdiag/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+ >=dev-python/blockdiag-1.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/reportlab[${PYTHON_USEDEP}]
+ dev-python/sphinx-testing[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ sed -i -e "/build-base/d" setup.cfg || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ rm -rf sphinxcontrib || die
+ distutils_write_namespace sphinxcontrib
+ "${EPYTHON}" -m nose -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2-r1.ebuild b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2-r1.ebuild
new file mode 100644
index 000000000000..b170e5c4eec9
--- /dev/null
+++ b/dev-python/sphinxcontrib-devhelp/sphinxcontrib-devhelp-1.0.2-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs Devhelp documents"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinxcontrib-devhelp/
+ https://pypi.org/project/sphinxcontrib-devhelp/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( ${PDEPEND} )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-doxylink/Manifest b/dev-python/sphinxcontrib-doxylink/Manifest
index ede6604119d9..b5339a0a95fd 100644
--- a/dev-python/sphinxcontrib-doxylink/Manifest
+++ b/dev-python/sphinxcontrib-doxylink/Manifest
@@ -1 +1,2 @@
+DIST sphinxcontrib-doxylink-1.11.1.gh.tar.gz 22087 BLAKE2B 2f59c2cf802f428459eb13dc095dea2422ee37f9fc93ec8ceb4e6d72bbb8d0381651ef348de77aa5362857ebae7ff9a92be0c868575e43cf4e6c3b271b05147a SHA512 5c86771aa064e3e9ffeb04223ff8cb90fe8c6b8ad8749f250a8a866b4204bece6b82388cda3ccefc83901966e97b3093d3d47bc60fbd8c9f84a5b162fd4d8c02
DIST sphinxcontrib-doxylink-1.11.1.tar.gz 22087 BLAKE2B 2f59c2cf802f428459eb13dc095dea2422ee37f9fc93ec8ceb4e6d72bbb8d0381651ef348de77aa5362857ebae7ff9a92be0c868575e43cf4e6c3b271b05147a SHA512 5c86771aa064e3e9ffeb04223ff8cb90fe8c6b8ad8749f250a8a866b4204bece6b82388cda3ccefc83901966e97b3093d3d47bc60fbd8c9f84a5b162fd4d8c02
diff --git a/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.1-r1.ebuild b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.1-r1.ebuild
new file mode 100644
index 000000000000..962ca8636ef1
--- /dev/null
+++ b/dev-python/sphinxcontrib-doxylink/sphinxcontrib-doxylink-1.11.1-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension to link to external Doxygen API documentation"
+HOMEPAGE="
+ https://pypi.org/project/sphinxcontrib-doxylink/
+ https://pythonhosted.org/sphinxcontrib-doxylink/
+ https://github.com/sphinx-contrib/doxylink/
+"
+SRC_URI="
+ https://github.com/sphinx-contrib/doxylink/archive/refs/tags/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/doxylink-${PV}"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/sphinx-1.0[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ app-doc/doxygen
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/testfixtures[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.0-r1.ebuild b/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.0-r1.ebuild
new file mode 100644
index 000000000000..5968a8ecb1a8
--- /dev/null
+++ b/dev-python/sphinxcontrib-htmlhelp/sphinxcontrib-htmlhelp-2.0.0-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs HTML help book"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinxcontrib-htmlhelp/
+ https://pypi.org/project/sphinxcontrib-htmlhelp/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${PDEPEND}
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.8.0-r1.ebuild b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.8.0-r1.ebuild
new file mode 100644
index 000000000000..2612052b64b4
--- /dev/null
+++ b/dev-python/sphinxcontrib-httpdomain/sphinxcontrib-httpdomain-1.8.0-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx domain for documenting HTTP APIs"
+HOMEPAGE="
+ https://pypi.org/project/sphinxcontrib-httpdomain/
+ https://github.com/sphinx-contrib/httpdomain/
+"
+SRC_URI="
+ https://github.com/sphinx-contrib/httpdomain/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/httpdomain-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/bottle[${PYTHON_USEDEP}]
+ www-servers/tornado[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/test
+}
diff --git a/dev-python/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1-r2.ebuild b/dev-python/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1-r2.ebuild
new file mode 100644
index 000000000000..f89017fa6d4d
--- /dev/null
+++ b/dev-python/sphinxcontrib-jsmath/sphinxcontrib-jsmath-1.0.1-r2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which renders display math in HTML via JavaScript"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinxcontrib-jsmath/
+ https://pypi.org/project/sphinxcontrib-jsmath/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( ${PDEPEND} )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-log_cabinet/sphinxcontrib-log_cabinet-1.0.1-r1.ebuild b/dev-python/sphinxcontrib-log_cabinet/sphinxcontrib-log_cabinet-1.0.1-r1.ebuild
new file mode 100644
index 000000000000..80956bdb6ff7
--- /dev/null
+++ b/dev-python/sphinxcontrib-log_cabinet/sphinxcontrib-log_cabinet-1.0.1-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Organize changelog directives in Sphinx docs"
+HOMEPAGE="
+ https://github.com/davidism/sphinxcontrib-log-cabinet/
+ https://pypi.org/project/sphinxcontrib-log-cabinet/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P/_/-}.tar.gz"
+S="${WORKDIR}/${P/_/-}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4-r1.ebuild b/dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4-r1.ebuild
new file mode 100644
index 000000000000..2f1ad9e8e8e2
--- /dev/null
+++ b/dev-python/sphinxcontrib-newsfeed/sphinxcontrib-newsfeed-0.1.4-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="News Feed extension for Sphinx"
+HOMEPAGE="
+ https://github.com/prometheusresearch/sphinxcontrib-newsfeed/
+ https://pypi.org/project/sphinxcontrib-newsfeed/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ docinto examples
+ dodoc -r demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/sphinxcontrib-openapi/sphinxcontrib-openapi-0.7.0-r1.ebuild b/dev-python/sphinxcontrib-openapi/sphinxcontrib-openapi-0.7.0-r1.ebuild
new file mode 100644
index 000000000000..3cb1e2bc1d46
--- /dev/null
+++ b/dev-python/sphinxcontrib-openapi/sphinxcontrib-openapi-0.7.0-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="OpenAPI (fka Swagger) spec renderer for Sphinx"
+HOMEPAGE="
+ https://pypi.org/project/sphinxcontrib-openapi/
+ https://github.com/sphinx-contrib/openapi/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-httpdomain[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/m2r[${PYTHON_USEDEP}]
+ dev-python/picobox[${PYTHON_USEDEP}]
+ dev-python/deepmerge[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17-r1.ebuild b/dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17-r1.ebuild
new file mode 100644
index 000000000000..d61583ece137
--- /dev/null
+++ b/dev-python/sphinxcontrib-programoutput/sphinxcontrib-programoutput-0.17-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extension to sphinx to include program output"
+HOMEPAGE="
+ https://github.com/NextThought/sphinxcontrib-programoutput/
+ https://pypi.org/project/sphinxcontrib-programoutput/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest --pyargs sphinxcontrib.programoutput.tests
+}
diff --git a/dev-python/sphinxcontrib-qthelp/sphinxcontrib-qthelp-1.0.3-r1.ebuild b/dev-python/sphinxcontrib-qthelp/sphinxcontrib-qthelp-1.0.3-r1.ebuild
new file mode 100644
index 000000000000..25a372425d6a
--- /dev/null
+++ b/dev-python/sphinxcontrib-qthelp/sphinxcontrib-qthelp-1.0.3-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs QtHelp documents"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinxcontrib-qthelp/
+ https://pypi.org/project/sphinxcontrib-qthelp/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( ${PDEPEND} )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.5-r1.ebuild b/dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.5-r1.ebuild
new file mode 100644
index 000000000000..56049729e4d7
--- /dev/null
+++ b/dev-python/sphinxcontrib-serializinghtml/sphinxcontrib-serializinghtml-1.1.5-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extension which outputs outputs serialized HTML files"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinxcontrib-serializinghtml/
+ https://pypi.org/project/sphinxcontrib-serializinghtml/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+PDEPEND="
+ >=dev-python/sphinx-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( ${PDEPEND} )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/sphinxcontrib-spelling/Manifest b/dev-python/sphinxcontrib-spelling/Manifest
index c3660d42ec16..b5915e95e87a 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -1,2 +1 @@
-DIST sphinxcontrib-spelling-7.3.1.tar.gz 51104 BLAKE2B 8d757b492ce5bcb103bc604923da928f0440d4d0b882743d14b60fef21cfb423ea93a1e79f309b7cf27e8385ac94c01b24163a17407609ee20b9ec82dff63f62 SHA512 53f2532ff31a82c1cf568400a6066f319da3331c960446478bcd37e9293f4d080061b9c4914ac308e89878f432b6573ff782c5faba0f557384da55f202e68479
DIST sphinxcontrib-spelling-7.3.2.tar.gz 51813 BLAKE2B 7c96f3b102fa33ea4d9e35100930a157200a1c01c51d8ec5145c45c5a24e3b5de35f6c4669177363c6098cb96275e10c39ff660c36d209cb6fa658e50cb8e169 SHA512 043a50f694366de4a3aedc24ca2ea7d89c85087097264f4e4fc860f68a3df5a67f19ec7172e4a67074377846d013d24edecd751885136c7263bc30b034c0f0e9
diff --git a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.1.ebuild b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.1.ebuild
deleted file mode 100644
index ba407ff0b932..000000000000
--- a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Sphinx spelling extension"
-HOMEPAGE="https://github.com/sphinx-contrib/spelling"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
- dev-python/pyenchant[${PYTHON_USEDEP}]
- dev-python/sphinx[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/pbr[${PYTHON_USEDEP}]
- test? (
- app-dicts/myspell-en
- )
-"
-
-# The doc can only be built from a git repository
-distutils_enable_tests pytest
-
-EPYTEST_DESELECT=(
- # requires the git repo
- tests/test_filter.py::test_contributors
- # fails when started via "python -m pytest"
- "tests/test_filter.py::test_importable_module_skip[__main__-False]"
-)
-
-# We don't want distutils_enable_tests to add the namespace
-# package to BDEPEND under "test?". Therefore we add it to RDEPEND
-# after running distutils_enable_tests.
-RDEPEND+="
- dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
-"
-
-python_install_all() {
- distutils-r1_python_install_all
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.2-r1.ebuild b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.2-r1.ebuild
new file mode 100644
index 000000000000..aad2e92a5497
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.3.2-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="
+ https://github.com/sphinx-contrib/spelling/
+ https://pypi.org/project/sphinxcontrib-spelling/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/pyenchant[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ app-dicts/myspell-en
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires the git repo
+ tests/test_filter.py::test_contributors
+)
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ rm -rf sphinxcontrib || die
+ epytest tests
+}
diff --git a/dev-python/sphinxcontrib-websupport/sphinxcontrib-websupport-1.2.4-r1.ebuild b/dev-python/sphinxcontrib-websupport/sphinxcontrib-websupport-1.2.4-r1.ebuild
new file mode 100644
index 000000000000..635cf38b33b8
--- /dev/null
+++ b/dev-python/sphinxcontrib-websupport/sphinxcontrib-websupport-1.2.4-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx websupport extension"
+HOMEPAGE="
+ https://www.sphinx-doc.org/
+ https://github.com/sphinx-doc/sphinxcontrib-websupport/
+ https://pypi.org/project/sphinxcontrib-websupport/
+"
+# pypi tarball is missing templates
+SRC_URI="
+ https://github.com/sphinx-doc/sphinxcontrib-websupport/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris"
+
+RDEPEND="
+ >=dev-python/six-1.5[${PYTHON_USEDEP}]
+ dev-python/sphinxcontrib-serializinghtml[${PYTHON_USEDEP}]
+"
+# avoid circular dependency with sphinx
+PDEPEND="
+ >=dev-python/sphinx-1.5.3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${PDEPEND}
+ >=dev-python/sqlalchemy-0.9[${PYTHON_USEDEP}]
+ >=dev-python/whoosh-2.0[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # breaks tests
+ sed -i -e '/pkg_resources/d' \
+ sphinxcontrib/websupport/__init__.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}
diff --git a/dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild b/dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild
index 90b38194f029..ca7cc09caa6b 100644
--- a/dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild
+++ b/dev-python/zope-deprecation/zope-deprecation-4.4.0-r1.ebuild
@@ -20,7 +20,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
distutils_enable_tests unittest
diff --git a/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild b/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild
deleted file mode 100644
index c5078dba0258..000000000000
--- a/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-MY_PN=${PN/-/.}
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Zope Deprecation Infrastructure"
-HOMEPAGE="https://github.com/zopefoundation/zope.deprecation"
-SRC_URI="mirror://pypi/${MY_PN::1}/${MY_PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="ZPL"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="dev-python/namespace-zope[${PYTHON_USEDEP}]"
-
-distutils_enable_tests setup.py
-
-python_install_all() {
- distutils-r1_python_install_all
-
- find "${ED}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/zope-event/zope-event-4.5.0-r1.ebuild b/dev-python/zope-event/zope-event-4.5.0-r1.ebuild
deleted file mode 100644
index 5988be7453d0..000000000000
--- a/dev-python/zope-event/zope-event-4.5.0-r1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-
-inherit distutils-r1
-
-MY_PN=${PN/-/.}
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Event publishing / dispatch, used by Zope Component Architecture"
-HOMEPAGE="https://github.com/zopefoundation/zope.event
- https://zopeevent.readthedocs.io/en/latest/"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-
-LICENSE="ZPL"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-
-RDEPEND="dev-python/namespace-zope[${PYTHON_USEDEP}]"
-
-distutils_enable_tests nose
-
-S="${WORKDIR}/${MY_P}"
-
-python_install_all() {
- distutils-r1_python_install_all
-
- # remove .pth files since dev-python/namespace-zope handles the ns
- find "${D}" -name '*.pth' -delete || die
-}
diff --git a/dev-python/zope-event/zope-event-4.5.0-r2.ebuild b/dev-python/zope-event/zope-event-4.5.0-r2.ebuild
index 8d20fe7586a3..8db104c763bd 100644
--- a/dev-python/zope-event/zope-event-4.5.0-r2.ebuild
+++ b/dev-python/zope-event/zope-event-4.5.0-r2.ebuild
@@ -20,7 +20,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
distutils_enable_tests unittest
diff --git a/dev-python/zope-interface/zope-interface-5.4.0-r1.ebuild b/dev-python/zope-interface/zope-interface-5.4.0-r1.ebuild
index aaf67755c7ee..e2c4ff195264 100644
--- a/dev-python/zope-interface/zope-interface-5.4.0-r1.ebuild
+++ b/dev-python/zope-interface/zope-interface-5.4.0-r1.ebuild
@@ -18,7 +18,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
BDEPEND="
test? (
diff --git a/dev-python/zope-testing/zope-testing-4.10-r1.ebuild b/dev-python/zope-testing/zope-testing-4.10-r1.ebuild
index 43613ec9d9a2..eb468e96eca5 100644
--- a/dev-python/zope-testing/zope-testing-4.10-r1.ebuild
+++ b/dev-python/zope-testing/zope-testing-4.10-r1.ebuild
@@ -21,7 +21,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
distutils_enable_tests unittest
diff --git a/dev-python/zope-testing/zope-testing-4.10.ebuild b/dev-python/zope-testing/zope-testing-4.10.ebuild
deleted file mode 100644
index e8817d05fda2..000000000000
--- a/dev-python/zope-testing/zope-testing-4.10.ebuild
+++ /dev/null
@@ -1,32 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
-inherit distutils-r1
-
-MY_PN=${PN/-/.}
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Zope testing helpers"
-HOMEPAGE="https://pypi.org/project/zope.testing/
- https://github.com/zopefoundation/zope.testing"
-SRC_URI="mirror://pypi/${P::1}/${MY_PN}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="ZPL"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-
-RDEPEND="dev-python/namespace-zope[${PYTHON_USEDEP}]"
-
-distutils_enable_tests setup.py
-
-python_install_all() {
- distutils-r1_python_install_all
-
- # remove .pth files since dev-python/namespace-zope handles the ns
- find "${D}" -name '*.pth' -delete || die
-}